Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class FieldType

    java.lang.Object
      com.sun.mdm.index.parser.FieldType

public class FieldType
extends java.lang.Object

Field Summary
`static java.lang.String` | `BYTEFIELD` byte
`static java.lang.String` | `DATEFIELD` java.util.Date
`static java.lang.String` | `DOUBLEFIELD` double
`static java.lang.String` | `FLOATFIELD` float
`static java.lang.String` | `LONGFIELD` long
`static java.lang.String` | `STRINGFIELD` string

Constructor Summary
`FieldType()`

Method Summary
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getFieldSigma()`
`java.lang.String` | `getFieldType()`
`boolean` | `getMatchFlag()`
`(package private) void` | `parse(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BYTEFIELD

    public static final java.lang.String BYTEFIELD

  byte

  See Also:
    Constant Field Values

### DATEFIELD

    public static final java.lang.String DATEFIELD

  java.util.Date

  See Also:
    Constant Field Values

### DOUBLEFIELD

    public static final java.lang.String DOUBLEFIELD

  double

  See Also:
    Constant Field Values

### FLOATFIELD

    public static final java.lang.String FLOATFIELD

  float

  See Also:
    Constant Field Values

### LONGFIELD

    public static final java.lang.String LONGFIELD

  long

  See Also:
    Constant Field Values

### STRINGFIELD

    public static final java.lang.String STRINGFIELD

  string

  See Also:
    Constant Field Values

Constructor Detail

### FieldType

    public FieldType()

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  Returns:
    String ret string

### getFieldSigma

    public java.lang.String getFieldSigma()

  Returns:
    String ret string

### getFieldType

    public java.lang.String getFieldType()

  Returns:
    String ret string

### getMatchFlag

    public boolean getMatchFlag()

  Returns:
    boolean ret boolean flag

### parse

    void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - node

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.